VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

Public Types | Public Member Functions | Protected Member Functions | List of all members
IDataPackage Class Referenceabstract

interface for drag&drop and clipboard data More...

`#include <idatapackage.h>`

Inheritance diagram for IDataPackage:

## Public Types
enum | Type { kFilePath = 0 , kText , kBinary , kError = -1 }

## Public Member Functions
virtual uint32_t | getCount () const =0
virtual uint32_t | getDataSize (uint32_t index) const =0
virtual Type | getDataType (uint32_t index) const =0
virtual uint32_t | getData (uint32_t index, const void *&buffer, Type &type) const =0
Public Member Functions inherited from ReferenceCounted< T >
| ReferenceCounted ()=default
virtual | ~ReferenceCounted () noexcept=default
| ReferenceCounted (const ReferenceCounted &)
ReferenceCounted & | operator= (const ReferenceCounted &)
void | forget () override
| decrease refcount and delete object if refcount == 0 More...
void | remember () override
| increase refcount More...
virtual int32_t | getNbReference () const
| get refcount More...
virtual void | forget ()=0
| decrease refcount and delete object if refcount == 0 More...
virtual void | remember ()=0
| increase refcount More...

## Protected Member Functions
| IDataPackage ()

## Detailed Description

interface for drag&drop and clipboard data

## Member Enumeration Documentation

## ◆ Type

enum Type

Enumerator
kFilePath | File type (UTF-8 C-String)
kText | Text type (UTF-8 C-String)
kBinary | Binary type.
kError |

## Constructor & Destructor Documentation

## ◆ IDataPackage()

IDataPackage | ( |  | ) |
| inline protected

## Member Function Documentation

## ◆ getCount()

virtual uint32_t getCount | ( |  | ) | const
| pure virtual

Implemented in StringDataPackage< AsFile >, and CDropSource.

## ◆ getData()

virtual uint32_t getData | ( | uint32_t | index,
|  | const void *& | buffer,
|  | Type & | type
| ) |  | const
| pure virtual

Implemented in StringDataPackage< AsFile >, and CDropSource.

## ◆ getDataSize()

virtual uint32_t getDataSize | ( | uint32_t | index | ) | const
| pure virtual

Implemented in StringDataPackage< AsFile >, and CDropSource.

## ◆ getDataType()

virtual Type getDataType | ( | uint32_t | index | ) | const
| pure virtual

Implemented in StringDataPackage< AsFile >, and CDropSource.

The documentation for this class was generated from the following file:

- idatapackage.h